import string, sys

# for each data set 1,2,...
while True:
   # read: x, y
   (x,y) = map (int, string.split (sys.stdin.readline())[0:2]);
   if (x==0 and y==0): break;

   sys.stdout.write ("%s\n" % ("YES" if (x>y) else "NO"));

